> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a File



## OpenAPI

````yaml api-reference/openapi-utilities.json GET /file/{id}/content
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Utilities
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /file/{id}/content:
    get:
      tags:
        - File
      summary: Download a File
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples: {}
              schema:
                properties:
                  content_hash:
                    description: SHA-1 hash of the file contents
                    type: string
                  content_length:
                    description: Length of the file contents in bytes
                    type: integer
                  content_type:
                    description: A valid media type
                    type: string
                  content_url:
                    description: >-
                      A url that can be used to download the file. URL is only
                      valid for a short time
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
          description: The file
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````